## Apache Zeta Components Manual :: Docs For Class ezcPersistentCacheManager

### PersistentObject::ezcPersistentCacheManager

### Class ezcPersistentCacheManager

Caches fetched definitions so they don't have to be read from the original source for each use.

The cache is typically used to wrap around another ezcPersistentDefinitionManager of your choice.

Source for this file: /PersistentObject/src/managers/cache_manager.php

    ezcPersistentDefinitionManager
       |
       --ezcPersistentCacheManager

Version: | //autogen//

### Method Summary

public ezcPersistentCacheManager | `__construct( $manager )` Constructs a new definition cache.
public ezcPersistentObjectDefinition | `fetchDefinition( $class )` Returns the definition of the persistent object with the class $class.

### Inherited Methods

From ezcPersistentDefinitionManager
public abstract ezcPersistentObjectDefinition | `ezcPersistentDefinitionManager::fetchDefinition()` Returns the definition of the persistent object with the class $class.
protected static ezcPersistentObjectDefinition | `ezcPersistentDefinitionManager::setupReversePropertyDefinition()` Returns the definition $def with the reverse relations field correctly set up.

### Methods

#### __construct

ezcPersistentCacheManager __construct( ezcPersistentDefinitionManager $manager )

Constructs a new definition cache.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$manager` | ezcPersistentDefinitionManager |

#### fetchDefinition

ezcPersistentObjectDefinition fetchDefinition( string $class )

Returns the definition of the persistent object with the class $class.

If a definition has been requested already the definition will be served from the cache.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcPersistentDefinitionNotFoundException` | if no such definition can be found.

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentDefinitionManager::fetchDefinition()` | Returns the definition of the persistent object with the class $class.

Documentation generated by phpDocumentor 1.4.3